Skip to main content
`Ctrl`+`K`

# MatNestSetVecType

Sets the type of `Vec` returned by `MatCreateVecs()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNestSetVecType(Mat A, VecType vtype)

Not Collective

## Input Parameters

- A - `MATNEST` matrix

- vtype - `VecType` to use for creating vectors

## See Also

Matrices, `Mat`, `MATNEST`, `MatCreateVecs()`, `MatCreateNest()`, `VecType`

## Level

developer

## Location

src/mat/impls/nest/matnest.c

## Examples

src/ksp/ksp/tutorials/ex27.c

## Implementations

MatNestSetVecType_Nest() in src/mat/impls/nest/matnest.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages